Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jChatBox.Util
Class XMLPropertyResourceBundleLoader

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--jChatBox.Util.XMLPropertyResourceBundleLoader

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class XMLPropertyResourceBundleLoader
extends org.xml.sax.helpers.DefaultHandler

This class allows to read an XML file matching to jchatboxresources.dtd and stores key/value pairs in Map.

Constructor Summary
`XMLPropertyResourceBundleLoader()`

Method Summary
`void` | `characters(char[] chars, int start, int length)` Characters available to be read.
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` End of XML tag reached.
`java.util.Map` | `parse(java.io.InputStream source)` Parse XML file through SAX.
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attrs)` Begin of XML tag.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLPropertyResourceBundleLoader

    public XMLPropertyResourceBundleLoader()

Method Detail

### parse

    public java.util.Map parse(java.io.InputStream source)
                        throws org.xml.sax.SAXException,
                               java.io.IOException

  Parse XML file through SAX.

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attrs)

  Begin of XML tag.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`

### characters

    public void characters(char[] chars,
                           int start,
                           int length)

  Characters available to be read.

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)

  End of XML tag reached.

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD